# Serialized Form

## Package com.xhaus.modjy

### Class com.xhaus.modjy.ModjyJServlet

class ModjyJServlet extends javax.servlet.http.HttpServlet implements Serializable

#### Serialized Fields

##### interp

    PythonInterpreter interp

##### modjyServlet

    javax.servlet.http.HttpServlet modjyServlet

## Package com.ziclix.python.sql

### Class com.ziclix.python.sql.DBApiType

class DBApiType extends PyInteger implements Serializable

### Class com.ziclix.python.sql.PyConnection

class PyConnection extends PyObject implements Serializable

#### Serialized Fields

##### closed

    boolean closed

True if closed.

##### connection

    Connection connection

The underlying java.sql.Connection.

##### cursors

    Set<PyCursor> cursors

Underlying cursors.

##### statements

    Set<PyStatement> statements

Underlying statements.

##### supportsMultipleResultSets

    boolean supportsMultipleResultSets

Whether multiple ResultSets are supported.

##### supportsTransactions

    boolean supportsTransactions

Whether transactions are supported.

### Class com.ziclix.python.sql.PyCursor

class PyCursor extends PyObject implements Serializable

#### Serialized Fields

##### arraysize

    int arraysize

Field arraysize

##### closed

    boolean closed

Field closed

##### connection

    PyConnection connection

Field connection

##### datahandler

    DataHandler datahandler

Field datahandler

##### dynamicFetch

    boolean dynamicFetch

Field dynamicFetch

##### fetch

    Fetch fetch

Field fetch

##### lastrowid

    PyObject lastrowid

Field warnings

##### rsConcur

    PyObject rsConcur

Field rsConcur

##### rsType

    PyObject rsType

Field rsType

##### softspace

    int softspace

Field softspace

##### statement

    PyStatement statement

Field statement

##### updatecount

    PyObject updatecount

Field updatecount

##### warnings

    PyObject warnings

Field warnings

### Class com.ziclix.python.sql.PyExtendedCursor

class PyExtendedCursor extends PyCursor implements Serializable

### Class com.ziclix.python.sql.PyStatement

class PyStatement extends PyObject implements Serializable

#### Serialized Fields

##### closed

    boolean closed

Whether this statement is closed.

##### sql

    Object sql

The underlying sql, a String or a Procedure.

##### statement

    Statement statement

The underlying java.sql.Statement.

##### style

    int style

One of the above styles.

### Class com.ziclix.python.sql.WarningEvent

class WarningEvent extends EventObject implements Serializable

#### Serialized Fields

##### warning

    SQLWarning warning

### Class com.ziclix.python.sql.zxJDBC

class zxJDBC extends PyObject implements Serializable

## Package org.python.core

### Class org.python.core.AbstractArray

class AbstractArray extends Object implements Serializable

#### Serialized Fields

##### capacity

    int capacity

Size of the current array, which can be larger than the `size` field.

##### modCountIncr

    int modCountIncr

The modification count increment indicates if a structural change occurred as a result of an operation that would make concurrent iteration over the array invalid. It is typically used by subclasses that extend `AbstractList`, by adding the value to `AbstractList.modCount` after performing a potentially structure-altering operation. A value of 0 indicates that it is still valid to iterate over the array. A value of 1 indicates it is no longer valid to iterate over the range.

This class uses a somewhat stricter semantic for `modCount`. Namely, `modCountIncr` is only set to 1 if a structural change occurred. The jdk collections generally increment `modCount` if a potentially structure-altering method is called, regardless of whether or not a change actually occurred. See also: `java.util.AbstractList#modCount`

##### size

    int size

The number of values currently present in the array.

### Class org.python.core.AbstractDict

class AbstractDict extends PyObject implements Serializable

### Class org.python.core.AstList

class AstList extends PySequence implements Serializable

#### Serialized Fields

##### adapter

    org.python.antlr.adapter.AstAdapter adapter

##### data

    List data

The underlying Java List.

### Class org.python.core.BaseBytes

class BaseBytes extends PySequence implements Serializable

#### Serialized Fields

##### listDelegate

    List<PyInteger> listDelegate

Access to the byte array as a `List`. The List interface supplied by BaseBytes delegates to this object.

##### offset

    int offset

Index of first byte used in storage array.

##### size

    int size

Number of bytes actually used in storage array.

##### storage

    byte[] storage

Storage array.

### Class org.python.core.BaseBytes.FragmentList

class FragmentList extends LinkedList<org.python.core.BaseBytes.Fragment> implements Serializable

#### Serialized Fields

##### totalCount

    int totalCount

Total number of bytes being held.

### Class org.python.core.BaseDictionaryView

class BaseDictionaryView extends PyObject implements Serializable

#### Serialized Fields

##### dvDict

    AbstractDict dvDict

### Class org.python.core.BaseSet

class BaseSet extends PyObject implements Serializable

#### Serialized Fields

##### _set

    Set<PyObject> _set

The underlying Set.

### Class org.python.core.ClasspathPyImporter

class ClasspathPyImporter extends importer<String> implements Serializable

#### Serialized Fields

##### entries

    Map<String,InputStream> entries

##### path

    String path

### Class org.python.core.ClasspathPyImporterDerived

class ClasspathPyImporterDerived extends ClasspathPyImporter implements Serializable

#### Serialized Fields

##### slots

    PyObject[] slots

### Class org.python.core.CompilerFlags

class CompilerFlags extends Object implements Serializable

#### Serialized Fields

##### dont_imply_dedent

    boolean dont_imply_dedent

##### encoding

    String encoding

##### flags

    Set<CodeFlag> flags

##### only_ast

    boolean only_ast

##### source_is_utf8

    boolean source_is_utf8

### Class org.python.core.exceptions

class exceptions extends PyObject implements Serializable

### Class org.python.core.JavaImporter

class JavaImporter extends PyObject implements Serializable

### Class org.python.core.JavaIterator

class JavaIterator extends PyIterator implements Serializable

#### Serialized Fields

##### proxy

    Iterator<Object> proxy

### Class org.python.core.JavaProxyList.ListIndexDelegate

class ListIndexDelegate extends SequenceIndexDelegate implements Serializable

#### Serialized Fields

##### list

    List list

### Class org.python.core.JyAttribute

class JyAttribute extends Object implements Serializable

#### Serialized Fields

##### attr_type

    byte attr_type

### Class org.python.core.Py2kBuffer

class Py2kBuffer extends PySequence implements Serializable

#### Serialized Fields

##### object

    BufferProtocol object

The underlying object on which the buffer was created.

##### offset

    int offset

The offset (in bytes) into the offered object at which the buffer starts.

##### size

    int size

Number of bytes to include in the buffer (or -1 for all available).

### Class org.python.core.PyArray

class PyArray extends PySequence implements Serializable

#### Serialized Fields

##### data

    Object data

The underlying Java array, a Java Array in practice.

##### delegate

    org.python.core.PyArray.ArrayDelegate delegate

Mix in the mechanisms for manipulating the underlying array as this "delegate" object. Many operations on this `array.array` are actually operations on this delegate (an `AbstractArray` in practice), which in turn manipulates `PyArray.data`.

##### export

    WeakReference<BaseBuffer> export

Hold weakly a reference to a PyBuffer export not yet released, used to prevent untimely resizing.

##### itemClass

    Class<?> itemClass

The Java class of elements in the `data` array.

##### itemType

    org.python.core.PyArray.ItemType itemType

Everything else we need to know about the type of elements in the `data` array.

### Class org.python.core.PyArrayDerived

class PyArrayDerived extends PyArray implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

### Class org.python.core.PyBaseCode

class PyBaseCode extends PyCode implements Serializable

#### Serialized Fields

##### co_argcount

    int co_argcount

##### co_cellvars

    String[] co_cellvars

##### co_filename

    String co_filename

##### co_firstlineno

    int co_firstlineno

##### co_flags

    CompilerFlags co_flags

##### co_freevars

    String[] co_freevars

##### co_nlocals

    int co_nlocals

##### co_varnames

    String[] co_varnames

##### jy_npurecell

    int jy_npurecell

##### nargs

    int nargs

##### varargs

    boolean varargs

##### varkwargs

    boolean varkwargs

### Class org.python.core.PyBaseException

class PyBaseException extends PyObject implements Serializable

#### Serialized Fields

##### __dict__

    PyObject __dict__

Exception's underlying dictionary, lazily created.

##### args

    PyObject args

Exception's arguments.

##### message

    PyObject message

Exception message.

### Class org.python.core.PyBaseExceptionDerived

class PyBaseExceptionDerived extends PyBaseException implements Serializable

#### Serialized Fields

##### slots

    PyObject[] slots

### Class org.python.core.PyBaseString

class PyBaseString extends PySequence implements Serializable

### Class org.python.core.PyBeanEvent

class PyBeanEvent extends PyObject implements Serializable

#### Serialized Fields

##### __name__

    String __name__

##### addMethod

    Method addMethod

##### eventClass

    Class<T> eventClass

### Class org.python.core.PyBeanEventProperty

class PyBeanEventProperty extends PyObject implements Serializable

#### Serialized Fields

##### __name__

    String __name__

##### adapterClass

    Class<?> adapterClass

##### adapterField

    Field adapterField

##### addMethod

    Method addMethod

##### eventClass

    Class<?> eventClass

##### eventName

    String eventName

### Class org.python.core.PyBeanProperty

class PyBeanProperty extends PyReflectedField implements Serializable

#### Serialized Fields

##### __name__

    String __name__

##### getMethod

    Method getMethod

##### myType

    Class<?> myType

##### setMethod

    Method setMethod

### Class org.python.core.PyBoolean

class PyBoolean extends PyInteger implements Serializable

#### Serialized Fields

##### value

    boolean value

### Class org.python.core.PyBuiltinCallable

class PyBuiltinCallable extends PyObject implements Serializable

#### Serialized Fields

##### doc

    String doc

##### info

    PyBuiltinCallable.Info info

### Class org.python.core.PyBuiltinCallable.DefaultInfo

class DefaultInfo extends Object implements Serializable

#### Serialized Fields

##### maxargs

    int maxargs

##### minargs

    int minargs

##### name

    String name

### Class org.python.core.PyBuiltinClassMethodNarrow

class PyBuiltinClassMethodNarrow extends PyBuiltinMethodNarrow implements Serializable

### Class org.python.core.PyBuiltinFunction

class PyBuiltinFunction extends PyBuiltinCallable implements Serializable

### Class org.python.core.PyBuiltinFunctionNarrow

class PyBuiltinFunctionNarrow extends PyBuiltinFunction implements Serializable

### Class org.python.core.PyBuiltinFunctionSet

class PyBuiltinFunctionSet extends PyBuiltinFunctionNarrow implements Serializable

#### Serialized Fields

##### index

    int index

### Class org.python.core.PyBuiltinMethod

class PyBuiltinMethod extends PyBuiltinCallable implements Serializable

#### Serialized Fields

##### self

    PyObject self

### Class org.python.core.PyBuiltinMethodNarrow

class PyBuiltinMethodNarrow extends PyBuiltinMethod implements Serializable

### Class org.python.core.PyBuiltinMethodSet

class PyBuiltinMethodSet extends PyBuiltinFunctionSet implements Serializable

#### Serialized Fields

##### __self__

    PyObject __self__

##### type

    Class<?> type

### Class org.python.core.PyByteArray

class PyByteArray extends BaseBytes implements Serializable

#### Serialized Fields

##### export

    WeakReference<BaseBuffer> export

Hold weakly a reference to a PyBuffer export not yet released, used to prevent untimely resizing.

### Class org.python.core.PyByteArrayDerived

class PyByteArrayDerived extends PyByteArray implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

### Class org.python.core.PyBytecode

class PyBytecode extends PyBaseCode implements Serializable

#### Serialized Fields

##### co_code

    byte[] co_code

##### co_consts

    PyObject[] co_consts

##### co_lnotab

    byte[] co_lnotab

##### co_names

    String[] co_names

##### co_stacksize

    int co_stacksize

##### count

    int count

##### maxCount

    int maxCount

### Class org.python.core.PyCallIter

class PyCallIter extends PyIterator implements Serializable

#### Serialized Fields

##### callable

    PyObject callable

##### sentinel

    PyObject sentinel

### Class org.python.core.PyCell

class PyCell extends PyObject implements Serializable

#### Serialized Fields

##### ob_ref

    PyObject ob_ref

The underlying content of the cell, or null.

### Class org.python.core.PyClass

class PyClass extends PyObject implements Serializable

#### Serialized Fields

##### __bases__

    PyTuple __bases__

The base classes of this class

##### __contains__

    PyObject __contains__

##### __del__

    PyObject __del__

##### __delattr__

    PyObject __delattr__

##### __dict__

    PyObject __dict__

Holds the namespace for this class

##### __getattr__

    PyObject __getattr__

##### __name__

    String __name__

The name of this class

##### __setattr__

    PyObject __setattr__

##### __tojava__

    PyObject __tojava__

### Class org.python.core.PyClassMethod

class PyClassMethod extends PyObject implements Serializable

#### Serialized Fields

##### callable

    PyObject callable

### Class org.python.core.PyClassMethodDerived

class PyClassMethodDerived extends PyClassMethod implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

### Class org.python.core.PyClassMethodDescr

class PyClassMethodDescr extends PyMethodDescr implements Serializable

### Class org.python.core.PyCode

class PyCode extends PyObject implements Serializable

#### Serialized Fields

##### co_name

    String co_name

### Class org.python.core.PyComplex

class PyComplex extends PyObject implements Serializable

#### Serialized Fields

##### imag

    double imag

##### real

    double real

### Class org.python.core.PyComplexDerived

class PyComplexDerived extends PyComplex implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

### Class org.python.core.PyCompoundCallable

class PyCompoundCallable extends PyObject implements Serializable

#### Serialized Fields

##### callables

    List<PyObject> callables

##### systemState

    PySystemState systemState

### Class org.python.core.PyDataDescr

class PyDataDescr extends PyDescriptor implements Serializable

#### Serialized Fields

##### doc

    String doc

##### ofType

    Class ofType

### Class org.python.core.PyDescriptor

class PyDescriptor extends PyObject implements Serializable

#### Serialized Fields

##### dtype

    PyType dtype

##### name

    String name

### Class org.python.core.PyDictionary

class PyDictionary extends AbstractDict implements Serializable

#### Serialized Fields

##### internalMap

    ConcurrentMap<PyObject,PyObject> internalMap

### Class org.python.core.PyDictionaryDerived

class PyDictionaryDerived extends PyDictionary implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

### Class org.python.core.PyDictProxy

class PyDictProxy extends PyObject implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

The dict proxied to.

### Class org.python.core.PyEllipsis

class PyEllipsis extends PySingleton implements Serializable

#### Serialization Methods

##### writeReplace

private Object writeReplace()

### Class org.python.core.PyEnumerate

class PyEnumerate extends PyIterator implements Serializable

#### Serialized Fields

##### index

    PyObject index

Current index of enumeration.

##### sit

    PyObject sit

Secondary iterator of enumeration.

### Class org.python.core.PyEnumerateDerived

class PyEnumerateDerived extends PyEnumerate implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

### Exception org.python.core.PyException

class PyException extends RuntimeException implements Serializable

#### Serialized Fields

##### isReRaise

    boolean isReRaise

Whether the exception was re-raised, such as when a traceback is specified to 'raise', or via a 'finally' block.

##### normalized

    boolean normalized

##### printingStackTrace

    boolean printingStackTrace

##### traceback

    PyTraceback traceback

The exception traceback object.

##### type

    PyObject type

The python exception class (for class exception) or identifier (for string exception).

##### value

    PyObject value

The exception instance (for class exception) or exception value (for string exception).

### Class org.python.core.PyFastSequenceIter

class PyFastSequenceIter extends PyIterator implements Serializable

#### Serialized Fields

##### index

    int index

##### seq

    PySequence seq

### Class org.python.core.PyFile

class PyFile extends PyObject implements Serializable

#### Serialized Fields

##### appending

    boolean appending

Whether this file is opened in appending mode

##### binary

    boolean binary

Whether this file is opened in binary mode

##### closer

    org.python.core.PyFile.Closer closer

The file's closer object; ensures the file is closed at shutdown

##### encoding

    String encoding

##### errors

    String errors

##### file

    TextIOBase file

The underlying IO object

##### mode

    String mode

The mode string

##### name

    PyObject name

The filename

##### reading

    boolean reading

Whether this file is opened for reading

##### softspace

    boolean softspace

Indicator dictating whether a space should be written to this file on the next print statement (not currently implemented in print )

##### universal

    boolean universal

Whether this file is opened in universal newlines mode

##### updating

    boolean updating

Whether this file is opened for updating

##### writing

    boolean writing

Whether this file is opened for writing

### Class org.python.core.PyFileDerived

class PyFileDerived extends PyFile implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

### Class org.python.core.PyFileReader

class PyFileReader extends PyObject implements Serializable

#### Serialized Fields

##### closed

    boolean closed

##### reader

    BufferedReader reader

##### reuseableBuffer

    char[] reuseableBuffer

### Class org.python.core.PyFileWriter

class PyFileWriter extends PyObject implements Serializable

#### Serialized Fields

##### closed

    boolean closed

##### softspace

    boolean softspace

##### writer

    Writer writer

### Class org.python.core.PyFloat

class PyFloat extends PyObject implements Serializable

#### Serialized Fields

##### value

    double value

### Class org.python.core.PyFloatDerived

class PyFloatDerived extends PyFloat implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

### Class org.python.core.PyFrame

class PyFrame extends PyObject implements Serializable

#### Serialized Fields

##### env_j

    int env_j

##### f_back

    PyFrame f_back

Previous frame or null.

##### f_builtins

    PyObject f_builtins

builtin symbol table.

##### f_code

    PyBaseCode f_code

The underyling code object.

##### f_env

    PyCell[] f_env

Nested scopes: cell + free env.

##### f_exits

    PyObject[] f_exits

with context exits - used by generated bytecode

##### f_fastlocals

    PyObject[] f_fastlocals

##### f_globals

    PyObject f_globals

Global symbol table.

##### f_lasti

    int f_lasti

##### f_lineno

    int f_lineno

Current line number.

##### f_locals

    PyObject f_locals

Local symbol table.

##### f_ncells

    int f_ncells

##### f_nfreevars

    int f_nfreevars

##### f_savedlocals

    Object[] f_savedlocals

##### generatorInput

    Object generatorInput

##### tracefunc

    TraceFunction tracefunc

An interface to functions suitable for tracing, e.g. via sys.settrace().

### Class org.python.core.PyFrozenSet

class PyFrozenSet extends BaseSet implements Serializable

### Class org.python.core.PyFrozenSetDerived

class PyFrozenSetDerived extends PyFrozenSet implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

### Class org.python.core.PyFunction

class PyFunction extends PyObject implements Serializable

#### Serialization Methods

##### readResolve

private Object readResolve()

#### Serialized Fields

##### __closure__

    PyObject __closure__

A read only closure tuple for nested scopes.

##### __code__

    PyCode __code__

The actual function's code, writable.

##### __defaults__

    PyObject[] __defaults__

Default argument values for associated kwargs. Exposed as a tuple to Python. Writable.

##### __dict__

    PyObject __dict__

A function's lazily created __dict__; allows arbitrary attributes to be tacked on. Read only.

##### __doc__

    PyObject __doc__

The writable doc string, also available via func_doc.

##### __globals__

    PyObject __globals__

The read only namespace; a dict (PyStringMap).

##### __module__

    PyObject __module__

Writable object describing what module this function belongs to.

##### __name__

    String __name__

The writable name, also available via func_name.

### Class org.python.core.PyFunctionTable

class PyFunctionTable extends Object implements Serializable

### Class org.python.core.PyGenerator

class PyGenerator extends PyIterator implements Serializable

#### Serialized Fields

##### closure

    PyObject closure

##### gi_code

    PyCode gi_code

##### gi_frame

    PyFrame gi_frame

##### gi_running

    boolean gi_running

### Exception org.python.core.PyIgnoreMethodTag

class PyIgnoreMethodTag extends RuntimeException implements Serializable

### Exception org.python.core.PyIndentationError

class PyIndentationError extends PyException implements Serializable

#### Serialized Fields

##### column

    int column

##### filename

    String filename

##### lineno

    int lineno

##### text

    String text

### Class org.python.core.PyInstance

class PyInstance extends PyObject implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### __dict__

    PyObject __dict__

The namespace of this instance. Contains all instance attributes.

### Class org.python.core.PyInteger

class PyInteger extends PyObject implements Serializable

#### Serialized Fields

##### value

    int value

### Class org.python.core.PyIntegerDerived

class PyIntegerDerived extends PyInteger implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

### Class org.python.core.PyIterator

class PyIterator extends PyObject implements Serializable

#### Serialized Fields

##### stopException

    PyException stopException

### Class org.python.core.PyJavaPackage

class PyJavaPackage extends PyObject implements Serializable

#### Serialized Fields

##### __dict__

    PyStringMap __dict__

##### __file__

    String __file__

##### __mgr__

    PackageManager __mgr__

(Control) package manager whose hierarchy contains this java pkg

##### __name__

    String __name__

##### clsSet

    PyStringMap clsSet

Its keys are the names of statically known classes. E.g. from jars pre-scan.

### Class org.python.core.PyJavaType

class PyJavaType extends PyType implements Serializable

#### Serialized Fields

##### conflicted

    Set<PyJavaType> conflicted

Other Java classes this type has MRO conflicts with. This doesn't matter for Java method resolution, but if Python methods are added to the type, the added methods can't overlap with methods added to any of the types in this set. If this type doesn't have any known conflicts, this is null.

##### modified

    Set<String> modified

The names of methods that have been added to this class.

### Class org.python.core.PyList

class PyList extends PySequenceList implements Serializable

#### Serialized Fields

##### gListAllocatedStatus

    int gListAllocatedStatus

##### list

    List<PyObject> list

### Class org.python.core.PyListDerived

class PyListDerived extends PyList implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

### Class org.python.core.PyListIterator

class PyListIterator extends PyIterator implements Serializable

#### Serialized Fields

##### index

    int index

##### list

    PyList list

##### stopped

    boolean stopped

### Class org.python.core.PyLong

class PyLong extends PyObject implements Serializable

#### Serialized Fields

##### value

    BigInteger value

### Class org.python.core.PyLongDerived

class PyLongDerived extends PyLong implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

### Class org.python.core.PyMemoryView

class PyMemoryView extends PySequence implements Serializable

#### Serialized Fields

##### backing

    PyBuffer backing

The buffer exported by the object of which this is a view.

##### hashCache

    int hashCache

Hash value cached (so we still know it after `PyMemoryView.release()` is called.

##### hashCacheValid

    boolean hashCacheValid

##### released

    boolean released

A memoryview in the released state forbids most Python API actions. If the underlying PyBuffer is shared, the memoryview may be released while the underlying PyBuffer is not "finally" released.

##### shape

    PyObject shape

Cache the result of getting shape here.

##### strides

    PyObject strides

Cache the result of getting strides here.

##### suboffsets

    PyObject suboffsets

Cache the result of getting suboffsets here.

### Class org.python.core.PyMethod

class PyMethod extends PyObject implements Serializable

#### Serialized Fields

##### __func__

    PyObject __func__

The function (or other callable) implementing a method, also available via im_func

##### __self__

    PyObject __self__

The instance to which a method is bound; None for unbound methods also available via im_self

##### im_class

    PyObject im_class

The class associated with a method.

### Class org.python.core.PyMethodDescr

class PyMethodDescr extends PyDescriptor implements Serializable

#### Serialized Fields

##### maxargs

    int maxargs

##### meth

    PyBuiltinCallable meth

##### minargs

    int minargs

### Class org.python.core.PyModule

class PyModule extends PyObject implements Serializable

#### Serialized Fields

##### __dict__

    PyObject __dict__

The module's mutable dictionary

##### moduleDoc

    PyObject moduleDoc

### Class org.python.core.PyModuleDerived

class PyModuleDerived extends PyModule implements Serializable

#### Serialized Fields

##### slots

    PyObject[] slots

### Class org.python.core.PyNewWrapper

class PyNewWrapper extends PyBuiltinMethod implements Serializable

#### Serialized Fields

##### for_type

    PyType for_type

### Class org.python.core.PyNone

class PyNone extends PyObject implements Serializable

#### Serialization Methods

##### writeReplace

private Object writeReplace()

### Class org.python.core.PyNotImplemented

class PyNotImplemented extends PySingleton implements Serializable

#### Serialization Methods

##### writeReplace

private Object writeReplace()

### Class org.python.core.PyNullImporter

class PyNullImporter extends PyObject implements Serializable

### Class org.python.core.PyObject

class PyObject extends Object implements Serializable

#### Serialized Fields

##### attributes

    Object attributes

`attributes` is a general purpose linked list of arbitrary Java objects that should be kept alive by this PyObject. These objects can be accessed by the methods and keys in `JyAttribute`. A notable attribute is the javaProxy (accessible via `JyAttribute.getAttr(this, JyAttribute.JAVA_PROXY_ATTR)`), an underlying Java instance that this object is wrapping or is a subclass of. Anything attempting to use the proxy should go through `PyObject.getJavaProxy()` which ensures that it's initialized.

See Also:
  - `JyAttribute`
  - `JyAttribute.JAVA_PROXY_ATTR`
  - `PyObject.getJavaProxy()`

##### objtype

    PyType objtype

The type of this object.

### Exception org.python.core.PyObject.ConversionException

class ConversionException extends Exception implements Serializable

#### Serialized Fields

##### index

    int index

### Class org.python.core.PyObjectDerived

class PyObjectDerived extends PyObject implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

### Class org.python.core.PyOverridableNew

class PyOverridableNew extends PyNewWrapper implements Serializable

### Class org.python.core.PyProperty

class PyProperty extends PyObject implements Serializable

#### Serialized Fields

##### doc

    PyObject doc

##### docFromGetter

    boolean docFromGetter

Whether this property's __doc__ was copied from its getter.

##### fdel

    PyObject fdel

##### fget

    PyObject fget

##### fset

    PyObject fset

### Class org.python.core.PyPropertyDerived

class PyPropertyDerived extends PyProperty implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

### Class org.python.core.PyReflectedConstructor

class PyReflectedConstructor extends PyReflectedFunction implements Serializable

### Class org.python.core.PyReflectedField

class PyReflectedField extends PyObject implements Serializable

#### Serialized Fields

##### field

    Field field

### Class org.python.core.PyReflectedFunction

class PyReflectedFunction extends PyObject implements Serializable

#### Serialized Fields

##### __doc__

    PyObject __doc__

##### __module__

    PyObject __module__

##### __name__

    String __name__

##### argslist

    ReflectedArgs[] argslist

##### calledStatically

    boolean calledStatically

Whether __call__ should act as if this is called as a static method.

##### nargs

    int nargs

### Class org.python.core.PyReversedIterator

class PyReversedIterator extends PyIterator implements Serializable

#### Serialized Fields

##### idx

    int idx

##### seq

    PyObject seq

### Class org.python.core.PySequence

class PySequence extends PyObject implements Serializable

#### Serialized Fields

##### delegator

    SequenceIndexDelegate delegator

A delegate that handles index checking and manipulation for get, set and del operations on this sequence in the form of a "pluggable behaviour". Because different types of sequence exhibit subtly different behaviour, there is scope for subclasses to customise the behaviour with their own extension of `SequenceIndexDelegate`.

### Class org.python.core.PySequence.DefaultIndexDelegate

class DefaultIndexDelegate extends SequenceIndexDelegate implements Serializable

### Class org.python.core.PySequenceIter

class PySequenceIter extends PyIterator implements Serializable

#### Serialized Fields

##### index

    int index

##### seq

    PyObject seq

### Class org.python.core.PySequenceList

class PySequenceList extends PySequence implements Serializable

### Class org.python.core.PySet

class PySet extends BaseSet implements Serializable

### Class org.python.core.PySetDerived

class PySetDerived extends PySet implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

### Class org.python.core.PyShadowString

class PyShadowString extends PyString implements Serializable

#### Serialized Fields

##### shadow

    PyString shadow

The shadow string is additionally used for some comparisons, especially for __eq__. __eq__ will evaluate positive if the other string equals the primary value *or* the shadow. The shadow persists slicing (is sliced accordingly) and is taken into account by startswith.

##### targets

    PyList targets

Contexts (expressed as a `PyTuple` of class name and method name) where `PyShadowString.shadow` is allowed to match as well as the primary value.

### Class org.python.core.PyShadowStringDerived

class PyShadowStringDerived extends PyShadowString implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

### Class org.python.core.PySingleton

class PySingleton extends PyObject implements Serializable

#### Serialized Fields

##### name

    String name

### Class org.python.core.PySlice

class PySlice extends PyObject implements Serializable

#### Serialized Fields

##### start

    PyObject start

##### step

    PyObject step

##### stop

    PyObject stop

### Class org.python.core.PySlot

class PySlot extends PyDescriptor implements Serializable

#### Serialized Fields

##### index

    int index

### Class org.python.core.PyStaticMethod

class PyStaticMethod extends PyObject implements Serializable

#### Serialized Fields

##### callable

    PyObject callable

### Class org.python.core.PyString

class PyString extends PyBaseString implements Serializable

#### Serialized Fields

##### export

    Reference<BaseBuffer> export

Supports the buffer API, see `PyString.getBuffer(int)`.

##### string

    String string

### Class org.python.core.PyStringDerived

class PyStringDerived extends PyString implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

### Class org.python.core.PyStringMap

class PyStringMap extends AbstractDict implements Serializable

#### Serialized Fields

##### table

    ConcurrentMap<Object,PyObject> table

### Class org.python.core.PySuper

class PySuper extends PyObject implements Serializable

#### Serialized Fields

##### obj

    PyObject obj

##### objType

    PyType objType

##### superType

    PyType superType

### Class org.python.core.PySuperDerived

class PySuperDerived extends PySuper implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

### Exception org.python.core.PySyntaxError

class PySyntaxError extends PyException implements Serializable

#### Serialized Fields

##### column

    int column

##### filename

    String filename

##### lineno

    int lineno

##### text

    String text

### Class org.python.core.PySystemState

class PySystemState extends PyObject implements Serializable

#### Serialized Fields

##### __dict__

    PyObject __dict__

##### __displayhook__

    PyObject __displayhook__

##### __excepthook__

    PyObject __excepthook__

##### __name__

    PyObject __name__

##### __stderr__

    PyObject __stderr__

##### __stdin__

    PyObject __stdin__

##### __stdout__

    PyObject __stdout__

##### argv

    PyList argv

The arguments passed to this program on the command line.

##### builtins

    PyObject builtins

##### checkinterval

    int checkinterval

##### classLoader

    ClassLoader classLoader

##### closer

    PySystemState.PySystemStateCloser closer

##### codecState

    codecs.CodecState codecState

##### currentWorkingDir

    String currentWorkingDir

##### dont_write_bytecode

    boolean dont_write_bytecode

Whether bytecode should be written to disk on import.

##### executable

    PyObject executable

##### importLock

    ReentrantLock importLock

##### last_traceback

    PyObject last_traceback

##### last_type

    PyObject last_type

##### last_value

    PyObject last_value

##### meta_path

    PyList meta_path

##### modules

    PyObject modules

##### modules_reloading

    Map<String,PyModule> modules_reloading

##### path

    PyList path

##### path_hooks

    PyList path_hooks

##### path_importer_cache

    PyObject path_importer_cache

##### platform

    PyObject platform

##### ps1

    PyObject ps1

##### ps2

    PyObject ps2

##### recursionlimit

    int recursionlimit

##### stderr

    PyObject stderr

##### stdin

    PyObject stdin

##### stdout

    PyObject stdout

##### syspathJavaLoader

    ClassLoader syspathJavaLoader

##### warnoptions

    PyList warnoptions

### Class org.python.core.PyTableCode

class PyTableCode extends PyBaseCode implements Serializable

#### Serialized Fields

##### co_code

    String co_code

##### func_id

    int func_id

##### funcs

    PyFunctionTable funcs

### Class org.python.core.PyTraceback

class PyTraceback extends PyObject implements Serializable

#### Serialized Fields

##### tb_frame

    PyFrame tb_frame

##### tb_lineno

    int tb_lineno

##### tb_next

    PyObject tb_next

### Class org.python.core.PyTuple

class PyTuple extends PySequenceList implements Serializable

#### Serialized Fields

##### array

    PyObject[] array

##### cachedList

    List<PyObject> cachedList

### Class org.python.core.PyTupleDerived

class PyTupleDerived extends PyTuple implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

### Class org.python.core.PyTupleIterator

class PyTupleIterator extends PyIterator implements Serializable

#### Serialized Fields

##### iterator

    Iterator<PyObject> iterator

### Class org.python.core.PyType

class PyType extends PyObject implements Serializable

#### Serialization Methods

##### writeReplace

protected Object writeReplace()
Used when serializing this type.

#### Serialized Fields

##### base

    PyType base

__base__, the direct base type or null.

##### bases

    PyObject[] bases

__bases__, the base classes.

##### builtin

    boolean builtin

Whether this is a builtin type.

##### dict

    PyObject dict

The real, internal __dict__.

##### hasDelete

    boolean hasDelete

##### hasGet

    boolean hasGet

Whether this type implements descriptor __get/set/delete__ methods.

##### hasSet

    boolean hasSet

##### instantiable

    boolean instantiable

Whether new instances of this type can be instantiated

##### isBaseType

    boolean isBaseType

Whether this type allows subclassing.

##### mro

    PyObject[] mro

__mro__, the method resolution. order

##### name

    String name

The type's name. builtin types include their fully qualified name, e.g.: time.struct_time.

##### needs_finalizer

    boolean needs_finalizer

Whether finalization is required for this type's instances (implements __del__).

##### needs_userdict

    boolean needs_userdict

Whether this type has a __dict__.

##### needs_weakref

    boolean needs_weakref

Whether this type has a __weakref__ slot (however all types are weakrefable).

##### numSlots

    int numSlots

The number of __slots__ defined by this type + bases.

##### ownSlots

    int ownSlots

The number of __slots__ defined by this type itself.

##### subclasses

    Set<WeakReference<PyType>> subclasses

##### tp_flags

    long tp_flags

__flags__, the type's options.

##### underlying_class

    Class<?> underlying_class

The Java Class that instances of this type represent (when that is a `PyObject`), or `null` if the type is not a `PyObject`, in which case the class is indicated through a `JyAttribute.JAVA_PROXY_ATTR`.

##### usesObjectGetattribute

    boolean usesObjectGetattribute

Whether this type's __getattribute__ is object.__getattribute__.

##### versionTag

    Object versionTag

MethodCacheEntry version tag.

### Class org.python.core.PyTypeDerived

class PyTypeDerived extends PyType implements Serializable

#### Serialized Fields

##### slots

    PyObject[] slots

### Class org.python.core.PyUnicode

class PyUnicode extends PyString implements Serializable

#### Serialized Fields

##### translator

    org.python.core.PyUnicode.IndexTranslator translator

The instance of index translation in use in this string. It will be set to either `PyUnicode.BASIC` or an instance of `PyUnicode.Supplementary`.

### Class org.python.core.PyUnicodeDerived

class PyUnicodeDerived extends PyUnicode implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

### Class org.python.core.PyVersionInfo

class PyVersionInfo extends PyTuple implements Serializable

#### Serialized Fields

##### major

    PyObject major

##### micro

    PyObject micro

##### minor

    PyObject minor

##### releaselevel

    PyObject releaselevel

##### serial

    PyObject serial

### Class org.python.core.PyXRange

class PyXRange extends PySequence implements Serializable

#### Serialized Fields

##### len

    long len

##### start

    long start

##### step

    long step

##### stop

    long stop

### Class org.python.core.PyXRangeIter

class PyXRangeIter extends PyIterator implements Serializable

#### Serialized Fields

##### index

    long index

##### len

    long len

##### start

    long start

##### step

    long step

### Class org.python.core.SequenceIndexDelegate

class SequenceIndexDelegate extends Object implements Serializable

### Class org.python.core.SyspathArchive

class SyspathArchive extends PyString implements Serializable

#### Serialized Fields

##### zipFile

    ZipFile zipFile

## Package org.python.core.stringlib

### Class org.python.core.stringlib.FieldNameIterator

class FieldNameIterator extends PyObject implements Serializable

#### Serialized Fields

##### bytes

    boolean bytes

True if originally given a PyString (so must return PyString not PyUnicode).

##### head

    Object head

##### index

    int index

How far along that string we are.

##### markup

    String markup

The UTF-16 string from which elements are being returned.

### Class org.python.core.stringlib.MarkupIterator

class MarkupIterator extends PyObject implements Serializable

#### Serialized Fields

##### bytes

    boolean bytes

True if originally given a PyString (so must return PyString not PyUnicode).

##### index

    int index

How far along that string we are.

##### markup

    String markup

The UTF-16 string from which elements are being returned.

##### numbering

    org.python.core.stringlib.MarkupIterator.FieldNumbering numbering

A counter used to auto-number fields when not explicitly numbered in the format.

## Package org.python.core.util

### Class org.python.core.util.importer

class importer extends PyObject implements Serializable

#### Serialized Fields

##### searchOrder

    org.python.core.util.importer.SearchOrderEntry[] searchOrder

SearchOrder defines how we search for a module.

### Class org.python.core.util.RelativeFile

class RelativeFile extends File implements Serializable

## Package org.python.modules

### Class org.python.modules._codecs.EncodingMap

class EncodingMap extends PyObject implements Serializable

#### Serialized Fields

##### count2

    int count2

##### count3

    int count3

##### level1

    char[] level1

##### level23

    char[] level23

### Class org.python.modules._hashlib.Hash

class Hash extends PyObject implements Serializable

#### Serialized Fields

##### digest

    MessageDigest digest

The hashing engine.

##### name

    String name

The hash algorithm name.

### Class org.python.modules._marshal.Marshaller

class Marshaller extends PyObject implements Serializable

#### Serialized Fields

##### debug

    boolean debug

##### file

    PyIOFile file

##### version

    int version

### Class org.python.modules._marshal.Unmarshaller

class Unmarshaller extends PyObject implements Serializable

#### Serialized Fields

##### debug

    boolean debug

##### depth

    int depth

##### file

    PyIOFile file

##### strings

    PyList strings

##### version

    int version

### Class org.python.modules.cStringIO.StringIO

class StringIO extends PyIterator implements Serializable

#### Serialized Fields

##### buf

    StringBuilder buf

##### closed

    boolean closed

##### pos

    int pos

##### softspace

    boolean softspace

### Class org.python.modules.operator

class operator extends PyObject implements Serializable

### Class org.python.modules.PyStruct

class PyStruct extends PyObject implements Serializable

#### Serialized Fields

##### format

    String format

##### format_def

    org.python.modules.struct.FormatDef[] format_def

##### size

    int size

### Class org.python.modules.PyStructDerived

class PyStructDerived extends PyStruct implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

### Class org.python.modules.synchronize.SynchronizedCallable

class SynchronizedCallable extends PyObject implements Serializable

#### Serialized Fields

##### callable

    PyObject callable

## Package org.python.modules._collections

### Class org.python.modules._collections.PyDefaultDict

class PyDefaultDict extends PyDictionary implements Serializable

#### Serialized Fields

##### backingMap

    com.google.common.cache.LoadingCache<PyObject,PyObject> backingMap

##### defaultFactory

    PyObject defaultFactory

This attribute is used by the __missing__ method; it is initialized from the first argument to the constructor, if present, or to None, if absent.

### Class org.python.modules._collections.PyDefaultDictDerived

class PyDefaultDictDerived extends PyDefaultDict implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

### Class org.python.modules._collections.PyDeque

class PyDeque extends PyObject implements Serializable

#### Serialized Fields

##### header

    org.python.modules._collections.PyDeque.Node header

##### maxlen

    int maxlen

##### size

    int size

##### state

    long state

### Class org.python.modules._collections.PyDequeDerived

class PyDequeDerived extends PyDeque implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

## Package org.python.modules._csv

### Class org.python.modules._csv.PyDialect

class PyDialect extends PyObject implements Serializable

#### Serialized Fields

##### delimiter

    char delimiter

Field separator.

##### doublequote

    boolean doublequote

Whether " is represented by "".

##### escapechar

    char escapechar

Escape character.

##### lineterminator

    String lineterminator

String to write between records.

##### quotechar

    char quotechar

Quote character.

##### quoting

    QuoteStyle quoting

Style of quoting to write.

##### skipinitialspace

    boolean skipinitialspace

Ignore spaces following delimiter?

##### strict

    boolean strict

Whether an exception is raised on bad CSV.

### Class org.python.modules._csv.PyDialectDerived

class PyDialectDerived extends PyDialect implements Serializable

#### Serialized Fields

##### slots

    PyObject[] slots

### Class org.python.modules._csv.PyReader

class PyReader extends PyIterator implements Serializable

#### Serialized Fields

##### dialect

    PyDialect dialect

Parsing Dialect.

##### field

    StringBuffer field

Current field builder in here.

##### fields

    PyList fields

Field list for current record.

##### input_iter

    PyObject input_iter

The underlying input iterator.

##### line_num

    int line_num

The current line number.

##### numeric_field

    boolean numeric_field

Whether the field should be treated as numeric.

##### state

    org.python.modules._csv.PyReader.ParserState state

Current CSV parse state.

### Class org.python.modules._csv.PyWriter

class PyWriter extends PyObject implements Serializable

#### Serialized Fields

##### dialect

    PyDialect dialect

Parsing dialect.

##### num_fields

    int num_fields

Number of fields in record.

##### quoted

    boolean quoted

Whether field should be quoted during a join.

##### rec

    StringBuffer rec

Buffer for parser.join.

##### rec_len

    int rec_len

Length of record.

##### writeline

    PyObject writeline

Output lines writer callable.

## Package org.python.modules._functools

### Class org.python.modules._functools.PyPartial

class PyPartial extends PyObject implements Serializable

#### Serialized Fields

##### __dict__

    PyObject __dict__

Lazily created dict for extra attributes.

##### args

    PyObject[] args

Callable's args.

##### func

    PyObject func

The wrapped callable.

##### keywords

    String[] keywords

Callable's keywords.

### Class org.python.modules._functools.PyPartialDerived

class PyPartialDerived extends PyPartial implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

## Package org.python.modules._io

### Class org.python.modules._io.PyFileIO

class PyFileIO extends PyRawIOBase implements Serializable

#### Serialized Fields

##### closefd

    boolean closefd

Whether to close the underlying stream on closing this object.

##### ioDelegate

    RawIOBase ioDelegate

The `FileIO` or `StreamIO` to which we delegate operations not complete locally.

##### mode

    PyString mode

The mode as a PyString based on readable and writable

##### readable

    boolean readable

Set true when stream must be `readable = reading | updating`

##### seekable

    boolean seekable

Set true when stream is seekable

##### seekableKnown

    boolean seekableKnown

Set true when we have made the seekable test

##### writable

    boolean writable

Set true when stream must be `writable = writing | updating | appending`

### Class org.python.modules._io.PyFileIODerived

class PyFileIODerived extends PyFileIO implements Serializable

#### Serialized Fields

##### slots

    PyObject[] slots

### Class org.python.modules._io.PyIOBase

class PyIOBase extends PyObject implements Serializable

#### Serialized Fields

##### __closed

    boolean __closed

True if the object is closed to further client operations. It is the state accessed by `closed` and checked by `PyIOBase._checkClosed()`. It may be set without making it an error (for this object and its subclasses) to access some downstream object, notably in the implementation of `close()`.

##### __dict__

    PyStringMap __dict__

Provide a dictionary in the object, so that methods and attributes may be overridden at instance level.

##### closer

    org.python.modules._io.Closer<PyIOBase> closer

The ioDelegate's closer object; ensures the stream is closed at shutdown

### Class org.python.modules._io.PyIOBaseDerived

class PyIOBaseDerived extends PyIOBase implements Serializable

#### Serialized Fields

##### slots

    PyObject[] slots

### Class org.python.modules._io.PyRawIOBase

class PyRawIOBase extends PyIOBase implements Serializable

### Class org.python.modules._io.PyRawIOBaseDerived

class PyRawIOBaseDerived extends PyRawIOBase implements Serializable

#### Serialized Fields

##### slots

    PyObject[] slots

## Package org.python.modules._json

### Class org.python.modules._json.Encoder

class Encoder extends PyObject implements Serializable

#### Serialized Fields

##### __module__

    String __module__

##### allow_nan

    boolean allow_nan

##### defaultfn

    PyObject defaultfn

##### encoder

    PyObject encoder

##### indent

    PyObject indent

##### item_separator

    PyObject item_separator

##### key_separator

    PyObject key_separator

##### markers

    AbstractDict markers

##### skipkeys

    boolean skipkeys

##### sort_keys

    PyObject sort_keys

### Class org.python.modules._json.EncoderDerived

class EncoderDerived extends Encoder implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

### Class org.python.modules._json.Scanner

class Scanner extends PyObject implements Serializable

#### Serialized Fields

##### __module__

    String __module__

##### encoding

    String encoding

##### object_hook

    PyObject object_hook

##### pairs_hook

    PyObject pairs_hook

##### parse_constant

    PyObject parse_constant

##### parse_float

    PyObject parse_float

##### parse_int

    PyObject parse_int

##### strict

    boolean strict

### Class org.python.modules._json.ScannerDerived

class ScannerDerived extends Scanner implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

## Package org.python.modules._jythonlib

### Class org.python.modules._jythonlib.dict_builder

class dict_builder extends PyObject implements Serializable

#### Serialized Fields

##### dict_type

    PyType dict_type

##### factory

    PyObject factory

### Class org.python.modules._jythonlib.set_builder

class set_builder extends PyObject implements Serializable

#### Serialized Fields

##### factory

    PyObject factory

##### set_type

    PyType set_type

## Package org.python.modules._threading

### Class org.python.modules._threading.Condition

class Condition extends PyObject implements Serializable

#### Serialized Fields

##### _condition

    Condition _condition

##### _lock

    org.python.modules._threading.ConditionSupportingLock _lock

### Class org.python.modules._threading.Lock

class Lock extends PyObject implements Serializable

#### Serialized Fields

##### _lock

    org.python.modules._threading.Mutex _lock

### Class org.python.modules._threading.RLock

class RLock extends PyObject implements Serializable

#### Serialized Fields

##### _lock

    org.python.modules._threading.RLockImplementation _lock

## Package org.python.modules._weakref

### Class org.python.modules._weakref.AbstractReference

class AbstractReference extends PyObject implements Serializable

#### Serialized Fields

##### callback

    PyObject callback

##### gref

    ReferenceBackend gref

### Class org.python.modules._weakref.CallableProxyType

class CallableProxyType extends ProxyType implements Serializable

### Class org.python.modules._weakref.ProxyType

class ProxyType extends AbstractReference implements Serializable

### Class org.python.modules._weakref.ReferenceType

class ReferenceType extends AbstractReference implements Serializable

### Class org.python.modules._weakref.ReferenceTypeDerived

class ReferenceTypeDerived extends ReferenceType implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

## Package org.python.modules.bz2

### Class org.python.modules.bz2.PyBZ2Compressor

class PyBZ2Compressor extends PyObject implements Serializable

#### Serialized Fields

##### captureStream

    org.python.modules.bz2.PyBZ2Compressor.CaptureStream captureStream

##### compressStream

    org.apache.commons.compress.compressors.bzip2.BZip2CompressorOutputStream compressStream

### Class org.python.modules.bz2.PyBZ2CompressorDerived

class PyBZ2CompressorDerived extends PyBZ2Compressor implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

### Class org.python.modules.bz2.PyBZ2Decompressor

class PyBZ2Decompressor extends PyObject implements Serializable

#### Serialized Fields

##### accumulator

    byte[] accumulator

##### decompressStream

    org.apache.commons.compress.compressors.bzip2.BZip2CompressorInputStream decompressStream

##### eofReached

    boolean eofReached

##### unused_data

    PyString unused_data

### Class org.python.modules.bz2.PyBZ2DecompressorDerived

class PyBZ2DecompressorDerived extends PyBZ2Decompressor implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

### Class org.python.modules.bz2.PyBZ2File

class PyBZ2File extends PyObject implements Serializable

#### Serialized Fields

##### buffer

    TextIOBase buffer

##### buffering

    int buffering

##### fileName

    String fileName

##### inIterMode

    boolean inIterMode

##### inReadMode

    boolean inReadMode

##### inUniversalNewlineMode

    boolean inUniversalNewlineMode

##### inWriteMode

    boolean inWriteMode

##### needReadBufferInit

    boolean needReadBufferInit

### Class org.python.modules.bz2.PyBZ2FileDerived

class PyBZ2FileDerived extends PyBZ2File implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

## Package org.python.modules.itertools

### Class org.python.modules.itertools.chain

class chain extends PyIterator implements Serializable

#### Serialized Fields

##### iter

    org.python.modules.itertools.itertools.ItertoolsIterator iter

### Class org.python.modules.itertools.chainDerived

class chainDerived extends chain implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

### Class org.python.modules.itertools.combinations

class combinations extends PyIterator implements Serializable

#### Serialized Fields

##### iter

    PyIterator iter

### Class org.python.modules.itertools.combinationsDerived

class combinationsDerived extends combinations implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

### Class org.python.modules.itertools.combinationsWithReplacement

class combinationsWithReplacement extends PyIterator implements Serializable

#### Serialized Fields

##### iter

    org.python.modules.itertools.itertools.ItertoolsIterator iter

### Class org.python.modules.itertools.combinationsWithReplacementDerived

class combinationsWithReplacementDerived extends combinationsWithReplacement implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

### Class org.python.modules.itertools.compress

class compress extends PyIterator implements Serializable

#### Serialized Fields

##### iter

    org.python.modules.itertools.itertools.ItertoolsIterator iter

### Class org.python.modules.itertools.compressDerived

class compressDerived extends compress implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

### Class org.python.modules.itertools.count

class count extends PyIterator implements Serializable

#### Serialized Fields

##### counter

    PyObject counter

##### iter

    PyIterator iter

##### stepper

    PyObject stepper

### Class org.python.modules.itertools.countDerived

class countDerived extends count implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

### Class org.python.modules.itertools.cycle

class cycle extends PyIterator implements Serializable

#### Serialized Fields

##### iter

    PyIterator iter

### Class org.python.modules.itertools.cycleDerived

class cycleDerived extends cycle implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

### Class org.python.modules.itertools.dropwhile

class dropwhile extends PyIterator implements Serializable

#### Serialized Fields

##### iter

    PyIterator iter

### Class org.python.modules.itertools.dropwhileDerived

class dropwhileDerived extends dropwhile implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

### Class org.python.modules.itertools.groupby

class groupby extends PyIterator implements Serializable

#### Serialized Fields

##### iter

    PyIterator iter

### Class org.python.modules.itertools.groupbyDerived

class groupbyDerived extends groupby implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

### Class org.python.modules.itertools.ifilter

class ifilter extends PyIterator implements Serializable

#### Serialized Fields

##### iter

    PyIterator iter

### Class org.python.modules.itertools.ifilterDerived

class ifilterDerived extends ifilter implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

### Class org.python.modules.itertools.ifilterfalse

class ifilterfalse extends PyIterator implements Serializable

#### Serialized Fields

##### iter

    PyIterator iter

### Class org.python.modules.itertools.ifilterfalseDerived

class ifilterfalseDerived extends ifilterfalse implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

### Class org.python.modules.itertools.imap

class imap extends PyIterator implements Serializable

#### Serialized Fields

##### iter

    PyIterator iter

### Class org.python.modules.itertools.imapDerived

class imapDerived extends imap implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

### Class org.python.modules.itertools.islice

class islice extends PyIterator implements Serializable

#### Serialized Fields

##### iter

    org.python.modules.itertools.itertools.ItertoolsIterator iter

### Class org.python.modules.itertools.isliceDerived

class isliceDerived extends islice implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

### Class org.python.modules.itertools.izip

class izip extends PyIterator implements Serializable

#### Serialized Fields

##### iter

    PyIterator iter

### Class org.python.modules.itertools.izipDerived

class izipDerived extends izip implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

### Class org.python.modules.itertools.izipLongest

class izipLongest extends PyIterator implements Serializable

#### Serialized Fields

##### iter

    PyIterator iter

### Class org.python.modules.itertools.izipLongestDerived

class izipLongestDerived extends izipLongest implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

### Class org.python.modules.itertools.permutations

class permutations extends PyIterator implements Serializable

#### Serialized Fields

##### iter

    PyIterator iter

### Class org.python.modules.itertools.permutationsDerived

class permutationsDerived extends permutations implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

### Class org.python.modules.itertools.product

class product extends PyIterator implements Serializable

#### Serialized Fields

##### iter

    PyIterator iter

### Class org.python.modules.itertools.productDerived

class productDerived extends product implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

### Class org.python.modules.itertools.PyTeeIterator

class PyTeeIterator extends PyIterator implements Serializable

#### Serialized Fields

##### position

    int position

##### teeData

    org.python.modules.itertools.PyTeeIterator.PyTeeData teeData

### Class org.python.modules.itertools.PyTeeIteratorDerived

class PyTeeIteratorDerived extends PyTeeIterator implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

### Class org.python.modules.itertools.repeat

class repeat extends PyIterator implements Serializable

#### Serialized Fields

##### counter

    int counter

##### iter

    PyIterator iter

##### object

    PyObject object

### Class org.python.modules.itertools.repeatDerived

class repeatDerived extends repeat implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

### Class org.python.modules.itertools.starmap

class starmap extends PyIterator implements Serializable

#### Serialized Fields

##### iter

    PyIterator iter

### Class org.python.modules.itertools.starmapDerived

class starmapDerived extends starmap implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

### Class org.python.modules.itertools.takewhile

class takewhile extends PyIterator implements Serializable

#### Serialized Fields

##### iter

    PyIterator iter

### Class org.python.modules.itertools.takewhileDerived

class takewhileDerived extends takewhile implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

## Package org.python.modules.jffi

### Class org.python.modules.jffi.AbstractMemoryCData

class AbstractMemoryCData extends CData implements Serializable

#### Serialized Fields

##### memory

    DirectMemory memory

### Class org.python.modules.jffi.ArrayCData

class ArrayCData extends CData implements Serializable

#### Serialized Fields

##### arrayType

    org.python.modules.jffi.CType.Array arrayType

##### componentMemoryOp

    org.python.modules.jffi.MemoryOp componentMemoryOp

##### componentType

    CType componentType

##### delegator

    SequenceIndexDelegate delegator

### Class org.python.modules.jffi.ArrayCData.ArrayIter

class ArrayIter extends PyIterator implements Serializable

#### Serialized Fields

##### index

    int index

### Class org.python.modules.jffi.BasePointer

class BasePointer extends PyObject implements Serializable

### Class org.python.modules.jffi.ByReference

class ByReference extends PyObject implements Serializable

#### Serialized Fields

##### memory

    DirectMemory memory

### Class org.python.modules.jffi.CData

class CData extends PyObject implements Serializable

#### Serialized Fields

##### ctype

    CType ctype

##### referenceMemory

    DirectMemory referenceMemory

### Class org.python.modules.jffi.CType

class CType extends PyObject implements Serializable

#### Serialized Fields

##### memoryOp

    org.python.modules.jffi.MemoryOp memoryOp

The `MemoryOp` used to read/write items of this type

##### nativeType

    NativeType nativeType

### Class org.python.modules.jffi.DynamicLibrary

class DynamicLibrary extends PyObject implements Serializable

#### Serialized Fields

##### lib

    com.kenai.jffi.Library lib

##### name

    String name

### Class org.python.modules.jffi.DynamicLibrary.DataSymbol

class DataSymbol extends DynamicLibrary.Symbol implements Serializable

### Class org.python.modules.jffi.DynamicLibrary.Symbol

class Symbol extends BasePointer implements Serializable

#### Serialized Fields

##### library

    DynamicLibrary library

##### memory

    DirectMemory memory

##### name

    String name

### Class org.python.modules.jffi.DynamicLibrary.TextSymbol

class TextSymbol extends DynamicLibrary.Symbol implements Serializable

### Class org.python.modules.jffi.Function

class Function extends BasePointer implements Serializable

#### Serialized Fields

##### argtypes

    PyObject[] argtypes

##### compiledInvoker

    Invoker compiledInvoker

##### defaultInvoker

    Invoker defaultInvoker

##### dict

    PyStringMap dict

##### errcheck

    PyObject errcheck

##### jffiFunction

    com.kenai.jffi.Function jffiFunction

##### jitHandle

    org.python.modules.jffi.JITHandle jitHandle

##### library

    DynamicLibrary library

##### name

    String name

##### pointer

    Pointer pointer

##### restype

    PyObject restype

### Class org.python.modules.jffi.PointerCData

class PointerCData extends AbstractMemoryCData implements Serializable

#### Serialized Fields

##### componentMemoryOp

    org.python.modules.jffi.MemoryOp componentMemoryOp

### Class org.python.modules.jffi.ScalarCData

class ScalarCData extends CData implements Serializable

#### Serialized Fields

##### value

    PyObject value

### Class org.python.modules.jffi.StringCData

class StringCData extends AbstractMemoryCData implements Serializable

### Class org.python.modules.jffi.StructLayout

class StructLayout extends org.python.modules.jffi.CType.Custom implements Serializable

#### Serialized Fields

##### fieldMap

    Map<Object,StructLayout.Field> fieldMap

##### fields

    List<StructLayout.Field> fields

### Class org.python.modules.jffi.StructLayout.Field

class Field extends PyObject implements Serializable

#### Serialized Fields

##### ctype

    CType ctype

##### name

    PyObject name

##### offset

    int offset

##### op

    org.python.modules.jffi.MemoryOp op

### Class org.python.modules.jffi.StructLayout.ScalarField

class ScalarField extends StructLayout.Field implements Serializable

### Class org.python.modules.jffi.Structure

class Structure extends CData implements Serializable

#### Serialized Fields

##### layout

    StructLayout layout

##### memoryOp

    org.python.modules.jffi.MemoryOp memoryOp

## Package org.python.modules.posix

### Class org.python.modules.posix.PyStatResult

class PyStatResult extends PyTuple implements Serializable

#### Serialized Fields

##### st_atime

    PyObject st_atime

##### st_ctime

    PyObject st_ctime

##### st_dev

    PyObject st_dev

##### st_gid

    PyObject st_gid

##### st_ino

    PyObject st_ino

##### st_mode

    PyObject st_mode

##### st_mtime

    PyObject st_mtime

##### st_nlink

    PyObject st_nlink

##### st_size

    PyObject st_size

##### st_uid

    PyObject st_uid

## Package org.python.modules.random

### Class org.python.modules.random.PyRandom

class PyRandom extends PyObject implements Serializable

#### Serialized Fields

##### javaRandom

    Random javaRandom

### Class org.python.modules.random.PyRandomDerived

class PyRandomDerived extends PyRandom implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

## Package org.python.modules.sre

### Class org.python.modules.sre.MatchObject

class MatchObject extends PyObject implements Serializable

#### Serialized Fields

##### endpos

    int endpos

##### groups

    int groups

##### lastindex

    int lastindex

##### mark

    int[] mark

##### pattern

    PatternObject pattern

##### pos

    int pos

##### regs

    PyObject regs

##### string

    PyString string

### Class org.python.modules.sre.PatternObject

class PatternObject extends PyObject implements Serializable

#### Serialized Fields

##### code

    int[] code

##### codesize

    int codesize

##### flags

    int flags

##### groupindex

    PyObject groupindex

##### groups

    int groups

##### indexgroup

    PyObject indexgroup

##### pattern

    PyString pattern

### Class org.python.modules.sre.ScannerObject

class ScannerObject extends PyObject implements Serializable

#### Serialized Fields

##### pattern

    PatternObject pattern

##### state

    SRE_STATE state

##### string

    PyString string

## Package org.python.modules.thread

### Class org.python.modules.thread.PyLocal

class PyLocal extends PyObject implements Serializable

#### Serialized Fields

##### args

    PyObject[] args

##### keywords

    String[] keywords

##### tdict

    ThreadLocal<Object[]> tdict

### Class org.python.modules.thread.PyLocalDerived

class PyLocalDerived extends PyLocal implements Serializable

#### Serialized Fields

##### slots

    PyObject[] slots

### Class org.python.modules.thread.PyLock

class PyLock extends PyObject implements Serializable

#### Serialized Fields

##### locked

    boolean locked

## Package org.python.modules.time

### Class org.python.modules.time.PyTimeTuple

class PyTimeTuple extends PyTuple implements Serializable

#### Serialized Fields

##### n_fields

    int n_fields

##### n_sequence_fields

    int n_sequence_fields

##### n_unnamed_fields

    int n_unnamed_fields

##### tm_hour

    PyObject tm_hour

##### tm_isdst

    PyObject tm_isdst

##### tm_mday

    PyObject tm_mday

##### tm_min

    PyObject tm_min

##### tm_mon

    PyObject tm_mon

##### tm_sec

    PyObject tm_sec

##### tm_wday

    PyObject tm_wday

##### tm_yday

    PyObject tm_yday

##### tm_year

    PyObject tm_year

## Package org.python.modules.zipimport

### Class org.python.modules.zipimport.zipimporter

class zipimporter extends importer<PyObject> implements Serializable

#### Serialized Fields

##### archive

    String archive

Path to the Zip archive

##### files

    PyObject files

Dict with file info {path: tocEntry}

##### prefix

    String prefix

File prefix: "a/sub/directory/"

##### sys

    PySystemState sys

The PySystemState this zipimporter is associated with

### Class org.python.modules.zipimport.zipimporterDerived

class zipimporterDerived extends zipimporter implements Serializable

#### Serialized Fields

##### dict

    PyObject dict

##### slots

    PyObject[] slots

## Package org.python.util

### Class org.python.util.PyServlet

class PyServlet extends javax.servlet.http.HttpServlet implements Serializable

#### Serialized Fields

##### cache

    Map<String,org.python.util.PyServlet.CacheEntry> cache

##### interp

    PythonInterpreter interp